CustomPath

com.j0h1.contour.serialized

## Class CustomPath

- java.lang.Object
- - Path
  - - com.j0h1.contour.serialized.CustomPath

- All Implemented Interfaces:
    java.io.Serializable

      public class CustomPath
      extends Path
      implements java.io.Serializable

  Serializable Path object that can be stored in the local database. This representation holds a list of PathActions that define the path. The path bounds, scale factor and the flag for portrait path are used to restore the path successfully to the screen after retrieving the path data from the local database.
  Author:
    Johannes Riedmann

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.ArrayList<PathAction>` | `actions`
    `private boolean` | `isPortraitPath`
    `private float[]` | `pathBounds`
    `private float` | `scaleFactor`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomPath()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawThisPath()` This method is used to draw the path from it's associated list of actions.
    `java.util.ArrayList<PathAction>` | `getActions()`
    `float[]` | `getPathBounds()`
    `float` | `getScaleFactor()`
    `boolean` | `isPortraitPath()`
    `void` | `lineTo(float x, float y)`
    `void` | `moveTo(float x, float y)`
    `void` | `quadTo(float x1, float y1, float x2, float y2)`
    `void` | `setPathBounds(float[] pathBounds)`
    `void` | `setPortraitPath(boolean isPortraitPath)`
    `void` | `setScaleFactor(float scaleFactor)`
    `void` | `transform(CustomMatrix transformationMatrix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### actions

          private java.util.ArrayList<PathAction> actions

    - #### pathBounds

          private float[] pathBounds

    - #### scaleFactor

          private float scaleFactor

    - #### isPortraitPath

          private boolean isPortraitPath

  - ### Constructor Detail

    - #### CustomPath

          public CustomPath()

  - ### Method Detail

    - #### moveTo

          public void moveTo(float x,
                             float y)

    - #### lineTo

          public void lineTo(float x,
                             float y)

    - #### quadTo

          public void quadTo(float x1,
                             float y1,
                             float x2,
                             float y2)

    - #### transform

          public void transform(CustomMatrix transformationMatrix)

    - #### getActions

          public java.util.ArrayList<PathAction> getActions()

    - #### drawThisPath

          public void drawThisPath()

      This method is used to draw the path from it's associated list of actions.

    - #### getPathBounds

          public float[] getPathBounds()

    - #### setPathBounds

          public void setPathBounds(float[] pathBounds)

    - #### getScaleFactor

          public float getScaleFactor()

    - #### setScaleFactor

          public void setScaleFactor(float scaleFactor)

    - #### isPortraitPath

          public boolean isPortraitPath()

    - #### setPortraitPath

          public void setPortraitPath(boolean isPortraitPath)